<template>
  <slot>
    <MLayerHillshade
      shadowColor="#473B24"
      :exaggeration=".2" />
  </slot>
</template>

<script>
// https://maplibre.org/maplibre-gl-js-docs/style-spec/sources/#video

import {
  propsSource,
  propsSourceAttribution,
  propsSourceTiles,
  propsSourceTileSize,
  propsSourceEncoding
} from './shared/props.js'

export const opts = Object.assign({},
  propsSource,
  propsSourceAttribution,
  propsSourceTiles,
  propsSourceTileSize,
  propsSourceEncoding
)
</script>

<script setup>
import { setupSource } from './shared/setup.js'
import MLayerHillshade from '@/components/layers/MLayerHillshade.vue'

const type = 'raster-dem'
const props = defineProps(opts)
const { source } = setupSource(type, opts, props)

defineExpose({ source })
</script>
